package com.JN.demo.zmquotation.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName MaterialDto
 * @Description TODO
 * @Author JIAL
 * @Date 2024/2/20 16:42
 * @Version 1.0
 */
@Data
public class MaterialDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String materialName;            //物料名称

    private String model;                   //型号

    private String specification;           //规格

    private String voltage;                 //电压

    private String standard;                //标准

    private String costPrice;               //成本价

    private String factoryPrice;            //厂价

    private String netVolume;               //净种量(物料重量)

    private String inventory;               //盘具

    private String weighInv;                //盘重

    private String matPrice;                //材料价格(去掉铜铝后的价格)

    private String totalCopperConsume;      //铜导体总消耗

    private String totalAluminumConsume;    //铝导体总消耗

    private String totalLHCost;             //人工水电费合计

    private String steamFee;                //蒸汽费

    private int quantity = 1;               //数量默认为1

    private int invItemCount = 1;           //盘具数量默认1
}
